#include <bits/stdc++.h>
using namespace std;
 int ucln(int x,int y)
{
   int r;
   while(y!=0)
   {
       r=x/y;
       x=y;
       y=r;
   }
   return x;
}
int main()
{
    ifstream f1("ntcn.inp");
    ofstream f2("ntcn.out");
    int n;
    f1>>n;
    int a[n];
    int t=0;
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sort(a,a+n);
    for(int i=0;i<n;i++)
    {
        while (a[i]==a[i+1])
        {
            for(int j=i+1;j<n;j++)
            {
                a[j]==a[j+1];
            }
            n--;
        }
    }
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(ucln(a[i]),a[j])==1)
            {
                t++;
            }
        }
    }
    f2<<t;
}
